lmi3 {sdpt3r} | R Documentation

## Linear Matrix Inequality 3

### Description

`lmi3` creates input for sqlp to solve a linear matrix inequality problem

### Usage

    lmi3(A, B, G)

### Arguments

`A` | An nxn real valued matrix
`B` | An mxn real valued matrix
`G` | An nxn real valued matrix

### Details

Solves the type-3 linear matrix inequality problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    A <- matrix(c(-1,0,1,0,-2,1,0,0,-1),3,3)
    B <- matrix(c(1,2,3,4,5,6), 2, 3)
    G <- matrix(1,3,3)

    out <- lmi3(A,B,G)

[Package sdpt3r version 0.3 Index]